libwpg: libwpg::WPGBrush Class Reference documentation

# libwpg::WPGBrush Class Reference

`#include <WPGBrush.h>`

List of all members.

## Public Types
enum | WPGBrushStyle { NoBrush, Solid, Pattern, Gradient }
## Public Member Functions
| WPGBrush ()
| WPGBrush (const WPGColor &fore)
| WPGBrush (const WPGColor &fore, const WPGColor &back)
| WPGBrush (const WPGBrush &brush)
WPGBrush & | operator= (const WPGBrush &brush)
## Public Attributes
WPGBrushStyle | style
WPGColor | foreColor
WPGColor | backColor
WPGGradient | gradient

## Member Enumeration Documentation

enum libwpg::WPGBrush::WPGBrushStyle

Enumerator:

  NoBrush |
  Solid |
  Pattern |
  Gradient |

## Constructor & Destructor Documentation

libwpg::WPGBrush::WPGBrush | ( |  | ) |

libwpg::WPGBrush::WPGBrush | ( | const WPGColor & | fore | ) | `[explicit]`

libwpg::WPGBrush::WPGBrush | ( | const WPGColor & | fore,
|  | const WPGColor & | back |
| ) |  |  |

libwpg::WPGBrush::WPGBrush | ( | const WPGBrush & | brush | ) |

## Member Function Documentation

libwpg::WPGBrush & libwpg::WPGBrush::operator= | ( | const WPGBrush & | brush | ) |

## Member Data Documentation

WPGBrushStyle libwpg::WPGBrush::style

Referenced by WPG2Parser::handleBrushBackColor(), WPG2Parser::handleBrushForeColor(), WPG2Parser::handleDPBrushBackColor(), WPG2Parser::handleDPBrushForeColor(), WPG1Parser::handleFillAttributes(), operator=(), libwpg::WPGSVGGenerator::setBrush(), and libwpg::WPGSVGGenerator::writeStyle().

WPGColor libwpg::WPGBrush::foreColor

Referenced by WPG2Parser::handleBrushForeColor(), WPG2Parser::handleDPBrushForeColor(), WPG1Parser::handleFillAttributes(), operator=(), WPG2Parser::parse(), WPG1Parser::parse(), and libwpg::WPGSVGGenerator::writeStyle().

WPGColor libwpg::WPGBrush::backColor

Referenced by WPG2Parser::handleBrushBackColor(), WPG2Parser::handleDPBrushBackColor(), operator=(), WPG2Parser::parse(), and WPG1Parser::parse().

WPGGradient libwpg::WPGBrush::gradient

Referenced by WPG2Parser::handleBrushForeColor(), WPG2Parser::handleDPBrushForeColor(), operator=(), and libwpg::WPGSVGGenerator::setBrush().

The documentation for this class was generated from the following files:

- WPGBrush.h
- WPGBrush.cpp